%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Auth_OpenID

Name: php-pear-Auth-OpenID
Version: 2.1.1
Release: 6%{?dist}
Summary: PHP OpenID
Group: Development/System
License: ASL 2.0
URL: http://www.openidenabled.com/openid/libraries/php
Source0: http://openidenabled.com/files/php-openid/packages/php-openid-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: php-pear >= 1:1.4.9-1.2
BuildRequires: python
Requires: php-pear(PEAR)
Requires(post): php-pear
Requires(postun): php-pear
# Required for testing, but we need PHPUnit 1.x
#Requires: php-pear-PHPUnit >= 1.1.1
# part of the pear spec, but the version makes no sense
#Requires: php-pear-DB >= 1.80
Requires: php-pgsql
Requires: php-mysql
#Requires: php-sqlite
Requires: php-bcmath
Requires: php-pear-Net-Curl
Provides: php-pear(%{pear_name}) = %{version}

%description
An implementation of the OpenID single sign-on authentication
protocol.

%prep
%setup -q -n php-openid-%{version}
sed -i 's/\r//' doc/media/stylesheet.css doc/media/banner.css
admin/packagexml.py %{version} admin/package2.xml README > %{pear_name}.xml

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{pear_phpdir}/%{pear_name}/OpenID \
         %{buildroot}/%{pear_phpdir}/%{pear_name}/Yadis
pear install --nodeps --packagingroot %{buildroot} %{pear_name}.xml
# The pear install is not yet complete, so we need to manually move in
# some parts
cp -a Auth/*.php %{buildroot}/%{pear_phpdir}/%{pear_name}/
cp -a Auth/OpenID/*.php %{buildroot}/%{pear_phpdir}/%{pear_name}/OpenID/
cp -a Auth/Yadis/*.php %{buildroot}/%{pear_phpdir}/%{pear_name}/Yadis/

# Move documentation:
# Previously the module was installing docs which hd to moved to docdir
# Currently 2.x doesn't cater for docs, so the conventional rpm doc
# mechanism can be used.
#mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
#mv %{buildroot}%{pear_docdir}/%{pear_name}/doc/* \
#   %{buildroot}%{_defaultdocdir}/%{name}-%{version}
## more docs (some will need to be removed when pear install takes over)
#cp -a NEWS COPYING README CHANGELOG doc examples \
#      %{buildroot}%{_defaultdocdir}/%{name}-%{version}

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{pear_name}.xml %{buildroot}%{pear_xmldir}

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --offline --soft --force --register-only \
  %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
  pear uninstall --nodeps --ignore-errors --register-only \
  %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc NEWS COPYING README CHANGELOG doc examples
#%{_defaultdocdir}/%{name}-%{version}
%{pear_xmldir}/%{pear_name}.xml
%{pear_phpdir}/%{pear_name}

%changelog
* Fri Aug  1 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.1.1-6
- Change documentation handling to use %%doc.

* Wed Jul 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.1.1-5
- Upgrade to 2.1.1.
- Use php_dir instead of data_dir (Rakesh Pandit <rakesh.pandit@gmail.com>)
- Fix CRLF (Peter Lemenkov <lemenkov@gmail.com> & R. Pandit)

* Sun Feb 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.1-4
- Update to 2.0.1.
- Change license.
- PEAR install method has regressed, some manual fixes are neccessary.
- No testing done (needs too old PHPUnit).

* Sat Feb 23 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.3-3
- Update to 1.2.3.
- Dropped PHPUnit 1.x dependency.

* Mon Aug  6 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.2-2
- Update to 1.2.2.

* Thu Feb  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.1-1
- Initial build.

